TLS 1.2 + Aurora Serverless MySql

0

【以下的问题经过翻译处理】 我的客户目前正在使用Aurora Mysql 5.7,以获得TLS 1.2支持,因为MySql v5.6仅支持TLS v1。

他们想要换成Aurora Serverless,并配合MySql兼容性使用。这样做,他们能够选择的最新MySql版本是“Aurora(MySql)-5.6.10a”。在这之后的版本都不支持Serverless。

现在直接问问题:Aurora Serverless文档说明其支持TLS v1.0、1.1和1.2(https://docs.aws.amazon.com/AmazonRDS/latest/AuroraUserGuide/aurora-serverless.html#aurora-serverless.tls)。不管选择了什么MySql引擎兼容性,是这种情况吗?

再说得明白些:如果我选择经典Aurora Mysql 5.6,我将没有TLS 1.2支持。如果我选择Aurora Serverless MySql 5.6,我将获得TLS 1.2支持吗?

谢谢你的帮助。

profile picture
专家
已提问 7 个月前44 查看次数
1 回答
0

【以下的回答经过翻译处理】 Aurora Serverless与预配的Aurora的连接方式有所不同。预配的Aurora / RDS使用手动证书生成,直接安装在数据库上,而Aurora Serverless使用一组与ACM结合的代理服务器。这可能解释了在TLS版本支持方面的差异。

因此,总结如下:

  • 预配的Aurora MySQL 5.6仅支持TLS 1.0。
  • 预配的Aurora MySQL 5.7支持TLS 1.0、1.1和1.2。
  • Aurora Serverless支持TLS 1.0、1.1和1.2。

希望这可以帮到您。

谢谢,

  • Aditya
profile picture
专家
已回答 7 个月前

您未登录。 登录 发布回答。

一个好的回答可以清楚地解答问题和提供建设性反馈,并能促进提问者的职业发展。

回答问题的准则